Bug 824436 - [abrt] inkscape-0.48.1-9.fc16: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
[abrt] inkscape-0.48.1-9.fc16: Process /usr/bin/inkscape was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:331a89ef3915af287e1b2757400...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 09:06 EDT by milady
Modified: 2013-02-13 11:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:05:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (11.68 KB, text/plain)
2012-05-23 09:06 EDT, milady
no flags Details
File: build_ids (4.64 KB, text/plain)
2012-05-23 09:06 EDT, milady
no flags Details
File: maps (53.34 KB, text/plain)
2012-05-23 09:06 EDT, milady
no flags Details
File: backtrace (51.33 KB, text/plain)
2012-05-23 09:06 EDT, milady
no flags Details

  None (edit)
Description milady 2012-05-23 09:06:17 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/inkscape '/home/apicu/Documents/CSG-Papers/Papers/2012 BookChapter/figures/epidemic.eps'
crash_function: IA__gdk_window_set_geometry_hints
executable:     /usr/bin/inkscape
kernel:         3.3.6-3.fc16.x86_64
pid:            18130
pwd:            /home/apicu/Documents
reason:         Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
time:           Wed 23 May 2012 02:55:18 PM CEST
uid:            500
username:       apicu

backtrace:      Text file, 52558 bytes
build_ids:      Text file, 4756 bytes
dso_list:       Text file, 11965 bytes
maps:           Text file, 54622 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1526
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=winter.mountains
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=5b042b05cee60c08c691222d0000000e-1337766512.993657-347371126
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/apicu/.gtkrc-2.0:/home/apicu/.gtkrc-2.0-kde4:/home/apicu/.kde/share/config/gtkrc-2.0
:PRINTER_TOOL=/usr/bin/gtklp
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=apicu
:SVN_EDITOR=vim
:SSH_AUTH_SOCK=/tmp/ssh-VGtbAwCU1387/agent.1387
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/apicu/bin:/usr/local/MATLAB/R2010b/bin:/usr/lib64/qt4/bin
:MAIL=/var/spool/mail/apicu
:QT_IM_MODULE=xim
:PWD=/home/apicu
:XMODIFIERS=@im=none
:KDE_SESSION_UID=500
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:TEXINPUTS=.:/home/apicu/Documents/Latex/ETH/tik/template:/home/apicu/Documents/Latex/algorithm2e:
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/apicu
:KDE_SESSION_VERSION=4
:LOGNAME=apicu
:QTLIB=/usr/lib64/qt-3.3/lib
:PRINTER=etzg60-1-x4500
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3iN7ncT3hO,guid=59c268f392b252a5e0f44fa40000001a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/apicu
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/apicu/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:CUPS_SERVER=ipp2vpp.ee.ethz.ch
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-apicu/xauth-500-_0
:CCACHE_HASHDIR=
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1734,unix/unix:/tmp/.ICE-unix/1734
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/apicu/.gtkrc:/home/apicu/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=winter.mountains;1337775646;302177;2143_TIME9159210

smolt_data:
:
:
:General
:=================================
:UUID: f730c010-dbe8-493c-9965-870283a19af9
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5319.97
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 3753
:System Swap: 4095
:Vendor: LENOVO
:System: 2522FY2 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.3.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:6058:8596) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:70:6058:8662) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:2668:6058:8661) pci, nouveau, VIDEO, GT218 [NVS 3100M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_winter-LogVol01 / ext4 4096 4096 7845799 4881041 4487825 1966080 1685707 1685707
:/dev/sda3 /boot ext4 1024 1024 508745 438081 412481 128016 127790 127790
:/dev/mapper/vg_winter-LogVol02 /home ext4 4096 4096 99833073 64027476 59030356 24985600 22921396 22921396
:

var_log_messages:
:May 23 14:55:18 winter kernel: [11202.619869] inkscape[18130]: segfault at 84 ip 00007fd13e11c274 sp 00007fff80caadf0 error 4 in libgdk-x11-2.0.so.0.2400.8[7fd13e0a4000+ba000]
:May 23 14:55:20 winter abrt[18260]: Saved core dump of pid 18130 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-05-23-14:55:18-18130 (194428928 bytes)

xsession_errors:
:(inkscape:16999): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/apicu/Documents/CSG-Papers/Papers/2012%20BookChapter/figures/epidemic_gray.svg': Error stating file '/home/apicu/Documents/CSG-Papers/Papers/2012 BookChapter/figures/epidemic_gray.svg': No such file or directory
:(inkscape:16999): Gtk-CRITICAL **: IA__gtk_widget_grab_default: assertion `gtk_widget_get_can_default (widget)' failed
:(inkscape:17060): Gtk-CRITICAL **: IA__gtk_widget_grab_default: assertion `gtk_widget_get_can_default (widget)' failed
:(inkscape:18066): Gtk-CRITICAL **: IA__gtk_widget_grab_default: assertion `gtk_widget_get_can_default (widget)' failed
:(inkscape:18130): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/apicu/Documents/CSG-Papers/Papers/2012%20BookChapter/figures/epidemic.svg': Error stating file '/home/apicu/Documents/CSG-Papers/Papers/2012 BookChapter/figures/epidemic.svg': No such file or directory
:If you can reproduce this crash, please file a bug at www.inkscape.org
Comment 1 milady 2012-05-23 09:06:24 EDT
Created attachment 586342 [details]
File: dso_list
Comment 2 milady 2012-05-23 09:06:28 EDT
Created attachment 586343 [details]
File: build_ids
Comment 3 milady 2012-05-23 09:06:30 EDT
Created attachment 586344 [details]
File: maps
Comment 4 milady 2012-05-23 09:06:34 EDT
Created attachment 586345 [details]
File: backtrace
Comment 5 Fedora Admin XMLRPC Client 2012-10-03 13:39:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-01-16 09:50:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 11:05:13 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.